// var server = "https://yhapi.mituoinfo.com";
var server = "https://yhapi.yhxzservice.com";

function open_page(name, open_url) {
	name.addEventListener('tap', function() {
		mui.openWindow({
			url: open_url + '.html',
			id: open_url + '.html',
			show: {
				autoShow: true //页面loaded事件发生后自动显示，默认为true  
			}
		});
	});
}
//关闭页面
function close_page(name) {
	//判断安卓还是苹果用户
	if(plus.os.name == 'iOS') {
		if(plus.webview.getWebviewById(name + '.html') != null) {
			plus.webview.getWebviewById(name + '.html').close();
		}
	} else {
		if(plus.webview.getWebviewById(name + '.html') != null) {
			plus.webview.close(name + '.html', "none");
		}
	}
}
//返回强制刷新页面
function back_reload(name) {
	if(plus.webview.getWebviewById(name + '.html') != null) {
		plus.webview.getWebviewById(name + '.html').reload();
	}
}
//未登录点击
function no_login(name){
	name.addEventListener("tap",function(){
		var btnArray = ['否','是'];
		mui.confirm('是否登录','提示',btnArray,function(e){
			if(e.index == 1 ){
				mui.openWindow({
					url:'login.html',
					id:'login.html'  
				});
			}else{
				mui.toast('取消');  
			}
		});
	});
}

function get_cid() {
	//获取用户CID
	var j_xin = '';
	if(plus.os.name == 'iOS') {
		j_xin = 2;
	} else {
		j_xin = 1;
	}
	var old = plus.storage.getItem('cid');
	if(old == null) {
		var info = plus.push.getClientInfo();
		var cid = info.clientid;
		signPost('/api/v2/member_cid', {
			cid: cid,
			cid_type: j_xin
		}, function(res) {
			//										alert(JSON.stringify(res));
			if(res.code == 1) {
				plus.storage.setItem("cid", old);
			}
		});
	}
}

//店铺评分
function shop_score(score_num) {
	var score_str = ''; //每一步制空，防止重复渲染
	if(parseFloat(score_num) == 0) {
		score_str = '<li><img src="../images/score_gray.png" /></li>' +
			'<li><img src="../images/score_gray.png" /></li>' +
			'<li><img src="../images/score_gray.png" /></li>' +
			'<li><img src="../images/score_gray.png" /></li>' +
			'<li><img src="../images/score_gray.png" /></li>';
	} else {
		for(var y = 0; y < parseInt(score_num); y++) {
			score_str += '<li><img src="../images/score_yellow.png" /></li>';
		}
		if(parseFloat(score_num).toFixed(1).substring(2) != 0) {
			score_str += '<li><img src="../images/score_half.png" /></li>';
		}
		for(var g = 0; g < parseInt(5 - score_num); g++) {
			score_str += '<li><img src="../images/score_gray.png" /></li>';
		}

	}
	return score_str;
}
//团购星星评分
function group_shop_score(score_num) {
	var score_str = ''; //每一步制空，防止重复渲染
	score_num = parseFloat(score_num).toFixed(1);
	if(parseFloat(score_num) == 0) {
		score_str = '<img src="../images/group_star_grey.png" />' +
			'<img src="../images/group_star_grey.png" />' +
			'<img src="../images/group_star_grey.png" />' +
			'<img src="../images/group_star_grey.png" />' +
			'<img src="../images/group_star_grey.png" />';
	} else {
		for(var y = 0; y < parseInt(score_num); y++) {
			score_str += '<img src="../images/group_star.png" />';
		}
		if(parseFloat(score_num).toFixed(1).substring(2) != 0) {
			score_str += '<img src="../images/group_star_half.png" />';
		}
		for(var g = 0; g < parseInt(5 - score_num); g++) {
			score_str += '<img src="../images/group_star_grey.png" />';
		}

	}
	return score_str;
}

//md5加密文件
var hexcase = 0;
var b64pad = "";
var chrsz = 8;

function hex_md5(s) {
	return binl2hex(core_md5(str2binl(s), s.length * chrsz));
}

function b64_md5(s) {
	return binl2b64(core_md5(str2binl(s), s.length * chrsz));
}

function hex_hmac_md5(key, data) {
	return binl2hex(core_hmac_md5(key, data));
}

function b64_hmac_md5(key, data) {
	return binl2b64(core_hmac_md5(key, data));
}

function calcMD5(s) {
	return binl2hex(core_md5(str2binl(s), s.length * chrsz));
}

function md5_vm_test() {
	return hex_md5("abc") == "900150983cd24fb0d6963f7d28e17f72";
}

function core_md5(x, len) {

	x[len >> 5] |= 0x80 << ((len) % 32);
	x[(((len + 64) >>> 9) << 4) + 14] = len;
	var a = 1732584193;
	var b = -271733879;
	var c = -1732584194;
	var d = 271733878;
	for(var i = 0; i < x.length; i += 16) {
		var olda = a;
		var oldb = b;
		var oldc = c;
		var oldd = d;

		a = md5_ff(a, b, c, d, x[i + 0], 7, -680876936);
		d = md5_ff(d, a, b, c, x[i + 1], 12, -389564586);
		c = md5_ff(c, d, a, b, x[i + 2], 17, 606105819);
		b = md5_ff(b, c, d, a, x[i + 3], 22, -1044525330);
		a = md5_ff(a, b, c, d, x[i + 4], 7, -176418897);
		d = md5_ff(d, a, b, c, x[i + 5], 12, 1200080426);
		c = md5_ff(c, d, a, b, x[i + 6], 17, -1473231341);
		b = md5_ff(b, c, d, a, x[i + 7], 22, -45705983);
		a = md5_ff(a, b, c, d, x[i + 8], 7, 1770035416);
		d = md5_ff(d, a, b, c, x[i + 9], 12, -1958414417);
		c = md5_ff(c, d, a, b, x[i + 10], 17, -42063);
		b = md5_ff(b, c, d, a, x[i + 11], 22, -1990404162);
		a = md5_ff(a, b, c, d, x[i + 12], 7, 1804603682);
		d = md5_ff(d, a, b, c, x[i + 13], 12, -40341101);
		c = md5_ff(c, d, a, b, x[i + 14], 17, -1502002290);
		b = md5_ff(b, c, d, a, x[i + 15], 22, 1236535329);
		a = md5_gg(a, b, c, d, x[i + 1], 5, -165796510);
		d = md5_gg(d, a, b, c, x[i + 6], 9, -1069501632);
		c = md5_gg(c, d, a, b, x[i + 11], 14, 643717713);
		b = md5_gg(b, c, d, a, x[i + 0], 20, -373897302);
		a = md5_gg(a, b, c, d, x[i + 5], 5, -701558691);
		d = md5_gg(d, a, b, c, x[i + 10], 9, 38016083);
		c = md5_gg(c, d, a, b, x[i + 15], 14, -660478335);
		b = md5_gg(b, c, d, a, x[i + 4], 20, -405537848);
		a = md5_gg(a, b, c, d, x[i + 9], 5, 568446438);
		d = md5_gg(d, a, b, c, x[i + 14], 9, -1019803690);
		c = md5_gg(c, d, a, b, x[i + 3], 14, -187363961);
		b = md5_gg(b, c, d, a, x[i + 8], 20, 1163531501);
		a = md5_gg(a, b, c, d, x[i + 13], 5, -1444681467);
		d = md5_gg(d, a, b, c, x[i + 2], 9, -51403784);
		c = md5_gg(c, d, a, b, x[i + 7], 14, 1735328473);
		b = md5_gg(b, c, d, a, x[i + 12], 20, -1926607734);
		a = md5_hh(a, b, c, d, x[i + 5], 4, -378558);
		d = md5_hh(d, a, b, c, x[i + 8], 11, -2022574463);
		c = md5_hh(c, d, a, b, x[i + 11], 16, 1839030562);
		b = md5_hh(b, c, d, a, x[i + 14], 23, -35309556);
		a = md5_hh(a, b, c, d, x[i + 1], 4, -1530992060);
		d = md5_hh(d, a, b, c, x[i + 4], 11, 1272893353);
		c = md5_hh(c, d, a, b, x[i + 7], 16, -155497632);
		b = md5_hh(b, c, d, a, x[i + 10], 23, -1094730640);
		a = md5_hh(a, b, c, d, x[i + 13], 4, 681279174);
		d = md5_hh(d, a, b, c, x[i + 0], 11, -358537222);
		c = md5_hh(c, d, a, b, x[i + 3], 16, -722521979);
		b = md5_hh(b, c, d, a, x[i + 6], 23, 76029189);
		a = md5_hh(a, b, c, d, x[i + 9], 4, -640364487);
		d = md5_hh(d, a, b, c, x[i + 12], 11, -421815835);
		c = md5_hh(c, d, a, b, x[i + 15], 16, 530742520);
		b = md5_hh(b, c, d, a, x[i + 2], 23, -995338651);
		a = md5_ii(a, b, c, d, x[i + 0], 6, -198630844);
		d = md5_ii(d, a, b, c, x[i + 7], 10, 1126891415);
		c = md5_ii(c, d, a, b, x[i + 14], 15, -1416354905);
		b = md5_ii(b, c, d, a, x[i + 5], 21, -57434055);
		a = md5_ii(a, b, c, d, x[i + 12], 6, 1700485571);
		d = md5_ii(d, a, b, c, x[i + 3], 10, -1894986606);
		c = md5_ii(c, d, a, b, x[i + 10], 15, -1051523);
		b = md5_ii(b, c, d, a, x[i + 1], 21, -2054922799);
		a = md5_ii(a, b, c, d, x[i + 8], 6, 1873313359);
		d = md5_ii(d, a, b, c, x[i + 15], 10, -30611744);
		c = md5_ii(c, d, a, b, x[i + 6], 15, -1560198380);
		b = md5_ii(b, c, d, a, x[i + 13], 21, 1309151649);
		a = md5_ii(a, b, c, d, x[i + 4], 6, -145523070);
		d = md5_ii(d, a, b, c, x[i + 11], 10, -1120210379);
		c = md5_ii(c, d, a, b, x[i + 2], 15, 718787259);
		b = md5_ii(b, c, d, a, x[i + 9], 21, -343485551);

		a = safe_add(a, olda);
		b = safe_add(b, oldb);
		c = safe_add(c, oldc);
		d = safe_add(d, oldd);
	}
	return Array(a, b, c, d);

}

function md5_cmn(q, a, b, x, s, t) {
	return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s), b);
}

function md5_ff(a, b, c, d, x, s, t) {
	return md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
}

function md5_gg(a, b, c, d, x, s, t) {
	return md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
}

function md5_hh(a, b, c, d, x, s, t) {
	return md5_cmn(b ^ c ^ d, a, b, x, s, t);
}

function md5_ii(a, b, c, d, x, s, t) {
	return md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
}

function core_hmac_md5(key, data) {
	var bkey = str2binl(key);
	if(bkey.length > 16) bkey = core_md5(bkey, key.length * chrsz);

	var ipad = Array(16),
		opad = Array(16);
	for(var i = 0; i < 16; i++) {
		ipad[i] = bkey[i] ^ 0x36363636;
		opad[i] = bkey[i] ^ 0x5C5C5C5C;
	}

	var hash = core_md5(ipad.concat(str2binl(data)), 512 + data.length * chrsz);
	return core_md5(opad.concat(hash), 512 + 128);
}

function safe_add(x, y) {
	var lsw = (x & 0xFFFF) + (y & 0xFFFF);
	var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
	return(msw << 16) | (lsw & 0xFFFF);
}

function bit_rol(num, cnt) {
	return(num << cnt) | (num >>> (32 - cnt));
}

function str2binl(str) {
	var bin = Array();
	var mask = (1 << chrsz) - 1;
	for(var i = 0; i < str.length * chrsz; i += chrsz)
		bin[i >> 5] |= (str.charCodeAt(i / chrsz) & mask) << (i % 32);
	return bin;
}

function binl2hex(binarray) {
	var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
	var str = "";
	for(var i = 0; i < binarray.length * 4; i++) {
		str += hex_tab.charAt((binarray[i >> 2] >> ((i % 4) * 8 + 4)) & 0xF) +
			hex_tab.charAt((binarray[i >> 2] >> ((i % 4) * 8)) & 0xF);
	}
	return str;
}

function binl2b64(binarray) {
	var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
	var str = "";
	for(var i = 0; i < binarray.length * 4; i += 3) {
		var triplet = (((binarray[i >> 2] >> 8 * (i % 4)) & 0xFF) << 16) |
			(((binarray[i + 1 >> 2] >> 8 * ((i + 1) % 4)) & 0xFF) << 8) |
			((binarray[i + 2 >> 2] >> 8 * ((i + 2) % 4)) & 0xFF);
		for(var j = 0; j < 4; j++) {
			if(i * 8 + j * 6 > binarray.length * 32) str += b64pad;
			else str += tab.charAt((triplet >> 6 * (3 - j)) & 0x3F);
		}
	}
	return str;
}

/**
 * 
 * AES加解密部分
 */
var key = hex_md5('test'); //配置密钥，用到md5加密
/**
 * sign编码设置
 * @param {Object} version       app版本号
 * @param {Object} serverTime	 服务器时间
 */
function setSign(version, serverTime) {
	//1、aes只能对字符串加密，因此需要拼接字符串，格式：version=1&serverTime=123344
	var str = 'version=' + version + '&time=' + serverTime;
	//2、AES加密
	return AESEncrypt(str);
}

function tokenPost(url, data, successData) {
	mui.get(server + 'mobile/servertime', function(e) {
		if(e.status == 1) {
			var sign = setSign(1, e.data);
			var token = plus.storage.getItem('token');
			data.access_user_token = token;
			mui.ajax(server + url, {
				dataType: 'json',
				type: 'POST',
				data: data,
				headers: {
					'Content-Type': 'application/json',
					'sign': sign,
					'version': 1,
					'time': e.data
				},
				success: successData
			})
		}
	}, 'json');
}

function checkUser() {
	mui.plusReady(function() {
		//判断是否有token
		if(!plus.storage.getItem('token')) {
			mui.openWindow({
				url: '../login_registration/login.html',
				id: '../login_registration/login.html'
			});
		}
		//判断token是否过期
		tokenPost('mobile/v1/checktoken', {}, function(res) {
			if(res != 1) {
				mui.openWindow({
					url: '../login_registration/login.html',
					id: '../login_registration/login.html'
				});
			}
		});
	});
}

function openLogin() {
	mui.openWindow({
		url: '../login_registration/login.html',
		id: '../login_registration/login.html'
	});
}

function reloadParentPage(id) {
	plus.webview.getWebviewById(id).reload();
}

//mine_sign加密
function mine_sign(data) {
	//1.json转成数组
	var arr_data = [];
	for(var i in data) {
		arr_data.push(data[i]);
	}
	//2、字典排序
	arr_data.sort();
	//3、拼凑加密字符串
	var data_str = "";
	for(var i in arr_data) {
		data_str += arr_data[i];
	}

	//3、md5加密
	return hex_md5(encodeURI(data_str));
}

/**
 * signGet请求
 * @param {Object} url				请求url
 * @param {Object} successData		回调函数
 */
//function signGet(url,successData){
//	mui.get(server+'mobile/servertime',function(e){
//				if(e.status == 1)
//				{
//					var sign = setSign(1,e.data);
//					mui.ajax(server+url,{
//						dataType:'json',
//						type:'GET',
//						headers:{
//							'Content-Type':'application/json',
//							'sign':sign,
//							'version':1,
//							'time':e.data
//						},
//						success:successData
//					})
//				}
//			},'json');
//}
//get请求新加的
function signGet(url, data, successFun) {
	// mui.get(server + '/api/v3/server_time', function(e) {
		//1、把time放到datazhi
		// data['time'] = e;
		//2、判断token有没有
		var token = plus.storage.getItem('token');
		if(token == null) {
			token = '99EA3802D85605AD';
		}
		data['token'] = token;

		//3、生成Sign
		// var sign = mine_sign(data);
		// data['sign'] = sign;
		//				alert(JSON.stringify(data));
		mui.get(server + url, data, successFun, "json");
	// }, 'json');
}

/**
 * signPost请求
 * @param {Object} url					请求url
 * @param {Object} data					请求参数
 * @param {Object} successFun			回调函数
 */
// function signPost(url, data, successFun) {
// 	// mui.get(server + '/api/v3/server_time', function(e) {
// 		//1、把time放到datazhi
// 		// data['time'] = e;
// 		//2、判断token有没有
// 		var token = plus.storage.getItem('token');
// 		if(token == null) {
// 			token = '99EA3802D85605AD';
// 		}
// 		data['token'] = token;

// 		//3、生成Sign
// 		// var sign = mine_sign(data);
// 		// data['sign'] = sign;
// 		//				alert(JSON.stringify(data));
// 		mui.post(server + url, data, successFun, "json");
// 	// }, 'json');
// }
// 2020-05-14模仿小程序的封装
function signPost(url, data, successFun) {
		//2、判断token有没有
		var token = plus.storage.getItem('token');
		if(token == null) {
			token = "";
		}
		// alert(token);
		// token = "aca52d878e5772a5ba035013b579bae8";
		data['token'] = token;
		data['requestType'] = '1';

		
		mui.post(server + url, data, successFun, "json");
}

/**
 * 字符串是否在数组中
 * @param {Object} stringToSearch
 * @param {Object} arrayToSearch
 */
function in_array(stringToSearch, arrayToSearch) {
	for(s = 0; s < arrayToSearch.length; s++) {
		thisEntry = arrayToSearch[s].toString();
		if(thisEntry == stringToSearch) {
			return true;
		}
	}
	return false;
}
//查看购物车
function mini_cart(shop_id) {
	signPost("/v3/food_shop_goods_cart_info_shop", {
		shopId: shop_id
	}, function(res) {
		// alert(JSON.stringify(res));
		if(res.error_code == "0000") {
			var data = res.data;
			mui(".pro-cart-price")[0].innerHTML = '¥' + data.cartPrice;
			mui(".all-cartnum-badge")[0].innerHTML = data.cartNum;
			if(data.cartNum != 0) {
				mui(".all-cartnum-badge")[0].style.display = "block";
				mui(".pro-cart-icon")[0].setAttribute("src", "../images/cart_shop.png");
				mui(".pro-cart-accout")[0].style.background = "#44A8FC";
			} else {
				mui(".pro-cart-price")[0].innerHTML = '¥0.00';
				mui(".all-cartnum-badge")[0].style.display = "none";
				mui(".pro-cart-icon")[0].setAttribute("src", "../images/cart_empty.png");
				mui(".pro-cart-accout")[0].style.background = "#696969";
				mui(".cart-modal")[0].style.display = 'none';
			}
		} 
		// else if(res.error_code == "3003") {
		// 	mui(".pro-cart-price")[0].innerHTML = '¥0.00';
		// 	mui(".all-cartnum-badge")[0].style.display = "none";
		// 	mui(".pro-cart-icon")[0].setAttribute("src", "../images/cart_empty.png");
		// 	mui(".pro-cart-accout")[0].style.background = "#696969";
		// 	mui(".cart-modal")[0].style.display = 'none';
		// }
	});
}

/**
 * 渲染店铺内的购物车数据
 * @param {Object} shop_id
 */
function get_cart_info(shop_id,main_id,which_page) {
	signPost("/v3/food_shop_goods_cart_info_shop_all", {
		shopId: shop_id
	}, function(res) {
		plus.nativeUI.closeWaiting();
		//alert(JSON.stringify(res));
		if(res.error_code == "0000") {
			mui(".cart-modal")[0].setAttribute("flag", "1");
			mui(".cart-modal")[0].style.display = "block";
			var data = res.data;
			var cart_pro = '';
			var cart_price = '';
			for(var j = 0 ; j < data.length ; j++){
				for(var i = 0; i < data[j].goodsList.length; i++) {
					//判断会员价是否为空
					cart_price = '';
					// if(cart_list[i].is_discount == 0) {
						cart_price = '<span>￥' + data[j].goodsList[i].goodsPrice + '</span>';
					// } else {
					// cart_price = '<span style="text-decoration:line-through;">￥' + data[j].goodsList[i].goodsPrice + '</span><span>VIP:￥' + cart_list[i].member_price + '</span>';
					// }
					cart_pro += '<div><div class="cart-main-time">' + data[j].cateInfo + '</div>' +
						'<div class="cart-single">' +
						'<img src="' + data[j].goodsList[i].goodsImg + '" class="cart-pic" />' +
						'<div class="cart-info">' +
						'<div class="cart-name">' + data[j].goodsList[i].goodsName + '</div>' +
						'<div class="cart-bottom">' +
						'<div class="fl cart-price">' + cart_price + '</div>' +
						'<div class="fr cart-btn cart-btn-add" goods-id="' + data[j].goodsList[i].goodsId + '" date="' + data[j].goodsList[i].day + '" cate-id="' + data[j].goodsList[i].cateId + '" cart-id="'+data[j].goodsList[i].cartId+'"><img src="../images/add.png" /></div>' +
						'<div class="fr cart-num cart-num-' + data[j].goodsList[i].goodsId + '">' + data[j].goodsList[i].num + '</div>' +
						'<div class="fr cart-btn cart-btn-sub" cart-num="' + data[j].goodsList[i].num + '" goods-id="' + data[j].goodsList[i].goodsId + '" date="' + data[j].goodsList[i].day + '" cate-id="' + data[j].goodsList[i].cateId + '" cart-id="'+data[j].goodsList[i].cartId+'"><img src="../images/sup.png" /></div>' +
						'</div>' +
						'</div>' +
						'</div>';
				}
				cart_pro += '<div class="cart-new-submit">'+
							'<div class="cart-new-submit-price">小计:¥'+data[j].total+'</div>'+
							'<div class="cart-new-submit-btn" cate-id="'+data[j].cateId+'" day="'+data[j].day+'">立即结算</div>'+
							'</div></div>';
			}
			
			mui(".cart-content")[0].innerHTML = cart_pro;
			//购物车中加
			mui(document).on('tap','.cart-btn-add',function(){
				plus.nativeUI.showWaiting();
				var goods_id = this.getAttribute("goods-id");
				var day = this.getAttribute("date");
				var cateId = this.getAttribute("cate-id");
				var that = this;
				signPost("/v3/food_shop_goods_cart_add", {
					goodsId: goods_id,
					day: day,
					cateId:cateId
				}, function(res) {
					plus.nativeUI.closeWaiting();
					// alert(JSON.stringify(res));
					if(res.error_code == "0000") {
						var data = res.data;
						that.nextElementSibling.innerHTML = data.cartNum;
						that.nextElementSibling.nextElementSibling.setAttribute("cart-id",data.cartId);
						// if(data.cartNum <= 0) { //加入购物车显示
						// 	mui(".rule-cart-btn")[0].style.display = 'block';
						// } else { //加入购物车隐藏
						// 	mui(".rule-cart-btn")[0].style.display = 'none';
						// }
						// //重新渲染数据
						// get_goods_attr(goods_id, main_id, attr_main_id, date, shop_id);
						mini_cart(shop_id);
						//更新角标
						if(which_page == 1) { //店铺角标
							update_badge(shop_id, main_id);
							// update_goods_badge(main_id, cate_id, shop_id, which_page);
						} else { //商品角标
							// goods_detail_badge(goods_id);
						}
					} else {
						mui.toast(res.msg);
					}
				});
			});
			//购物车中减
			mui(document).on('tap','.cart-btn-sub',function(){
				plus.nativeUI.showWaiting();
				var cartId = this.getAttribute("cart-id");
				var goods_id = this.getAttribute("goods-id");
				var that = this;
				signPost("/v3/food_shop_goods_cart_reduce", {
					cartId:cartId
				}, function(res) {
					plus.nativeUI.closeWaiting();
					// alert(JSON.stringify(res));
					if(res.error_code == "0000") { 
						var data = res.data;
						that.previousElementSibling.innerHTML = data.cartNum;
						that.setAttribute("cart-id",data.cartId);
						if(data.cartNum == 0){
							that.parentNode.parentNode.parentNode.parentNode.style.display = 'none';
						}
						// if(data.cartNum <= 0) { //加入购物车显示
						// 	mui(".rule-cart-btn")[0].style.display = 'block';
						// } else { //加入购物车隐藏
						// 	mui(".rule-cart-btn")[0].style.display = 'none';
						// }
						// //重新渲染数据
						// get_goods_attr(goods_id, main_id, attr_main_id, date, shop_id);
						mini_cart(shop_id);
						//更新角标
						if(which_page == 1) {
							update_badge(shop_id, main_id);
							// update_goods_badge(main_id, cate_id, shop_id, which_page);
						} else {
							// goods_detail_badge(goods_id);
						}
					} else {
						mui.toast(res.msg);
					}
				});
			});
			//购物车中去结算
			mui(document).on('tap','.cart-new-submit-btn',function(){
				plus.nativeUI.showWaiting();
				var cateId = this.getAttribute("cate-id");
				var day = this.getAttribute("day");
				signPost("/v3/food_shop_goods_order_check_cate_day", {
					cateId:cateId,
					day:day,
					shopId:shop_id
				}, function(res) {
					plus.nativeUI.closeWaiting();
					if(res.error_code == "0000") {
						mui.openWindow({
							url: "submit_order.html",
							id: "submit_order.html",
							extras: {
								shop_id: shop_id,
								which_page: which_page,
								cateId:cateId,
								day:day,
								whichType:1
							}
						});
					} else {
						mui.toast(res.msg);
					}
				});
			});
		} else if(res.error_code == "3003") {
			mui(".cart-content")[0].innerHTML = '';
			mui(".pro-cart-price")[0].innerHTML = '¥0.00';
			mui(".all-cartnum-badge")[0].style.display = "none";
			mui(".pro-cart-icon")[0].setAttribute("src", "../images/cart_empty.png");
			mui(".pro-cart-accout")[0].style.background = "#696969";
			mui(".cart-modal")[0].style.display = 'none';
		}
	});
}
/**
 * 选规格
 * @param {Object} goods_id 商品id
 * @param {Object} main_id 主分类id
 */
function goods_attr(goods_id, main_id, shop_id, which_page, cate_id) {
	signPost("/v3/food_shop_goods_support_cate_2", {
		mainId: main_id,
		goodsId: goods_id,
		dayType:1
	}, function(res) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(res));
		if(res.error_code == "0000") {
			var data = res.data;
			//选规格弹窗
			
			var cate_modal = '<div class="cart-backdrop"></div>' +
				'<div class="rule-wrap animated">' +
				'<div class="rule-title flex-between">'+
					'<span>选择送餐时间</span> '+
					'<div class="mt-rule-time flex-row">'+
					  '<div class="change-day mt-rule-time-active" data-rule="1">今天</div>'+
					  '<div class="change-day" data-rule="2">明天</div>'+
					'</div>'+
				  '</div>'+
				'<div class="rule-content">' +
				'</div>' +
				'<div class="rule-cart">' +
				'<div class="fl rule-icon rule-sup">' +
				'<img src="../images/sup.png" />' +
				'</div>' +
				'<div class="fl rule-num">0</div>' +
				'<div class="fl rule-icon rule-add">' +
				'<img src="../images/add.png" />' +
				'</div>' +
				'<div class="rule-cart-btn">去结算</div>' +
				'</div></div>';
			//添加模拟框
			mui(".rule-modale-wrap")[0].innerHTML = cate_modal;
			//选规格出场动画
			mui(".rule-wrap")[0].classList.remove("fadeOutDown");
			mui(".rule-wrap")[0].classList.add("fadeInUp");
			
			//去掉模拟框
			mui(".cart-backdrop")[0].addEventListener("tap", function() {
				//选规格关闭动画
				mui(".rule-wrap")[0].classList.remove("fadeInUp");
				mui(".rule-wrap")[0].classList.add("fadeOutDown");
				//选规格动画完成关闭弹窗
				setTimeout(function() {
					mui(".rule-modale-wrap")[0].innerHTML = '';
					mui("body")[0].style.overflow = "auto";
					mui("body")[0].style.position = "relative";
				}, 600);
			});
			
			render_attr(data);
			
			// 点击切换日期
			mui(document).on("tap",".change-day",function(){
				// plus.nativeUI.showWaiting();
				//1.隐藏所有标题的样式
				mui(".change-day").each(function(index, ele) {
					ele.classList.remove("mt-rule-time-active");
				});
				var dayType = this.getAttribute("data-rule");
				this.classList.add("mt-rule-time-active");
				// 再次请求并渲染数据源
				signPost("/v3/food_shop_goods_support_cate_2", {
					mainId: main_id,
					goodsId: goods_id,
					dayType:dayType
				}, function(res) {
					if(res.error_code == "0000") {
						var data = res.data;
						render_attr(data);
					} else {
						mui.toast(res.msg);
					}
				});
			})

			//点击规格
			mui(document).on("tap", ".mt-rule-single", function(event) {
				
				// var target_value = event.target.attributes.data.value;
				var end_time = this.getAttribute("end-time");
				var attr_main_id = this.getAttribute("main-id");
				var ok_choose = this.getAttribute("ok-select");
				var date = this.getAttribute("date");
				// 若该规格不可以点击
				if(ok_choose != 0){
					return false;
				}
				// 可以点击，处理结果
				// plus.nativeUI.showWaiting();
				//1.隐藏所有标题的样式
				mui(".mt-rule-single").each(function(index, ele) {
					ele.classList.remove("mt-rule-single-active");
				});
				//2.显示当前点击的标题的样式
				this.classList.add("mt-rule-single-active");
				//点击餐点的选规格获取购物车信息
				signPost("/v3/food_shop_goods_cart_info_cate", {
					goodsId: goods_id,
					day: end_time,
					cateId:attr_main_id
				}, function(res) {
					plus.nativeUI.closeWaiting();
					if(res.error_code == "0000"){
						var data = res.data;
						mui(".rule-num")[0].innerHTML = data.cartNum;
						mui(".rule-sup")[0].setAttribute("cart-id",data.cartId);
					}
				});

			});
			//去结算
			mui(".rule-cart-btn")[0].addEventListener("tap", function() {
				//等待框
				plus.nativeUI.showWaiting();
				//获取当前选中的规格
				var select_attr = mui('.mt-rule-single-active')[0];
				if(select_attr == undefined) {
					plus.nativeUI.closeWaiting();
					mui.toast('请先选择餐点');
					return false;
				}
				var cartId = mui(".rule-sup")[0].getAttribute("cart-id");
				signPost("/v3/food_shop_goods_order_check_cart_id", {
					cartId:cartId
				}, function(res) {
					// alert(JSON.stringify(res));
					plus.nativeUI.closeWaiting();
					if(res.error_code == "0000") {
						mui.openWindow({
							url: "submit_order.html",
							id: "submit_order.html",
							extras: {
								shop_id: shop_id,
								which_page: which_page,
								cartId:cartId,
								whichType:2
							}
						});
					} else {
						mui.toast(res.msg);
					}
				});
			});
			//加号加入购物车
			mui(".rule-add")[0].addEventListener("tap", function() {
				//等待框
				plus.nativeUI.showWaiting();
				//获取当前选中的规格
				var select_attr = mui('.mt-rule-single-active')[0];
				if(select_attr == undefined) {
					plus.nativeUI.closeWaiting();
					mui.toast('请先选择餐点');
					return false;
				}
				// var goods_id = select_attr.getAttribute("goods-id");
				var date = select_attr.getAttribute("date");
				var attr_main_id = select_attr.getAttribute("main-id");
				var end_time = select_attr.getAttribute("end-time");
				signPost("/v3/food_shop_goods_cart_add", {
					goodsId: goods_id,
					day: end_time,
					cateId:attr_main_id
				}, function(res) {
					plus.nativeUI.closeWaiting();
					// alert(JSON.stringify(res));
					if(res.error_code == "0000") {
						var data = res.data;
						mui(".rule-num")[0].innerHTML = data.cartNum;
						mui(".rule-sup")[0].setAttribute("cart-id",data.cartId);
						// if(data.cartNum <= 0) { //加入购物车显示
						// 	mui(".rule-cart-btn")[0].style.display = 'block';
						// } else { //加入购物车隐藏
						// 	mui(".rule-cart-btn")[0].style.display = 'none';
						// }
						// //重新渲染数据
						// get_goods_attr(goods_id, main_id, attr_main_id, date, shop_id);
						mini_cart(shop_id);
						//更新角标
						if(which_page == 1) { //店铺角标
							update_badge(shop_id, main_id);
							// update_goods_badge(main_id, cate_id, shop_id, which_page);
						} else { //商品角标
							// goods_detail_badge(goods_id);
						}
					} else {
						mui.toast(res.msg);
					}
				});
			});
			//减号加入购物车
			mui(".rule-sup")[0].addEventListener("tap", function() {
				//等待框
				plus.nativeUI.showWaiting();
				//获取当前选中的规格
				var select_attr = mui('.mt-rule-single-active')[0];
				if(select_attr == undefined) {
					plus.nativeUI.closeWaiting();
					mui.toast('请先选择餐点');
					return false;
				}
				var date = select_attr.getAttribute("date");
				var attr_main_id = select_attr.getAttribute("main-id");
				var cartId = mui(".rule-sup")[0].getAttribute("cart-id");
				signPost("/v3/food_shop_goods_cart_reduce", {
					cartId:cartId
				}, function(res) {
					plus.nativeUI.closeWaiting();
					//alert(JSON.stringify(res));
					if(res.error_code == "0000") { 
						var data = res.data;
						mui(".rule-num")[0].innerHTML = data.cartNum;
						mui(".rule-sup")[0].setAttribute("cart-id",data.cartId);
						// if(data.cartNum <= 0) { //加入购物车显示
						// 	mui(".rule-cart-btn")[0].style.display = 'block';
						// } else { //加入购物车隐藏
						// 	mui(".rule-cart-btn")[0].style.display = 'none';
						// }
						// //重新渲染数据
						// get_goods_attr(goods_id, main_id, attr_main_id, date, shop_id);
						mini_cart(shop_id);
						//更新角标
						if(which_page == 1) {
							update_badge(shop_id, main_id);
							// update_goods_badge(main_id, cate_id, shop_id, which_page);
						} else {
							// goods_detail_badge(goods_id);
						}
					} else {
						mui.toast(res.msg);
					}
				});
			});

		} else {
			mui.toast(res.msg);
		}
	});
}

function render_attr(data){

	var cate = data.dayCateList;
	var cate_list = '';
	var ok_select = '';
	var is_select = '';
	var num_rule = -1;
	cate_list += '<div class="rule-box">' +
		// '<div class="rule-eat" style="display:none;">' + cate[i].dayName + '餐点</div>' +
		'<div class="rule-eat-time flex-row">';
	for(var i = 0; i < cate.length; i++) {
		
		// for(var j = 0; j < cate[i].cateList.length; j++) {
			//判断是否能点ok_select
			ok_select = '';
			if(cate[i].isForbid == 0) { //能点击
				ok_select = '';
			} else { //不能点击
				ok_select = 'rule-graybg';
			}
			cate_list += '<div class="mt-rule-single '+ok_select+'" data="' + num_rule + '"  date="' + cate[i].dayName + '" ok-select="' + cate[i].isForbid + '" main-id="' + cate[i].id + '" end-time="' + cate[i].day + '">'+
							'<div>' + cate[i].name + '</div>'+
							'<div>(' + cate[i].endTime + '截止)</div>'+
						  '</div>';
			// var num_rule = num_rule + 1;
			// var sort = (j + 1) % 3;
			// if(sort == 1) {
			// 	cate_list += '<div class="mt-rule-single mt-rule-single-active">'+
			// 					'<div>' + cate[i].cateList[j].name + '</div>'+
			// 					'<div>(' + cate[i].cateList[j].endTime + '截止)</div>'+
			// 				  '</div>';
				// cate_list += '<div class="rule-range fl">' +
				// 	'<div class="rule-single fl ' + ok_select + is_select + '" goods-id="' + goods_id + '" data="' + num_rule + '" date="' + cate[i].dayName + '" ok-select="' + cate[i].cateList[j].isForbid + '" main-id="' + cate[i].cateList[j].id + '" end-time="' + cate[i].cateList[j].day + '">' + cate[i].cateList[j].name + '</div>' +
				// 	'</div>';
			// } else if(sort == 2) {
			// 	cate_list += '<div class="mt-rule-single mt-rule-single-active">'+
			// 					'<div>' + cate[i].cateList[j].name + '</div>'+
			// 					'<div>(' + cate[i].cateList[j].endTime + '截止)</div>'+
			// 				  '</div>';
				// cate_list += '<div class="rule-range fl">' +
				// 	'<div class="rule-single ' + ok_select + is_select + '" goods-id="' + goods_id + '" data="' + num_rule + '" date="' + cate[i].dayName + '" ok-select="' + cate[i].cateList[j].isForbid + '" main-id="' + cate[i].cateList[j].id + '" end-time="' + cate[i].cateList[j].day + '">' + cate[i].cateList[j].name + '</div>' +
				// 	'</div>';
			// } else {
			// 	cate_list += '<div class="mt-rule-single mt-rule-single-active">'+
			// 					'<div>' + cate[i].cateList[j].name + '</div>'+
			// 					'<div>(' + cate[i].cateList[j].endTime + '截止)</div>'+
			// 				  '</div>';
				// cate_list += '<div class="rule-range fl">' +
				// 	'<div class="rule-single fr ' + ok_select + is_select + '" goods-id="' + goods_id + '" data="' + num_rule + '" date="' + cate[i].dayName + '" ok-select="' + cate[i].cateList[j].isForbid + '" main-id="' + cate[i].cateList[j].id + '" end-time="' + cate[i].cateList[j].day + '">' + cate[i].cateList[j].name + '</div>' +
				// 	'</div>';
			// }											
		// }
		
	}
	cate_list += '</div>' +
		'</div>';
	mui(".rule-content")[0].innerHTML = cate_list;
}

/**
 * 选规格---再次渲染数据
 * @param {Object} goods_id 商品id
 * @param {Object} main_id 主分类id
 * @param {Object} attr_main_id 当前选中的规格id
 * @param {Object} date 当前选中的日期
 */
function get_goods_attr(goods_id, main_id, attr_main_id, date, shop_id) {
	signPost("/v3/food_shop_goods_support_cate", {
		mainId: main_id,
		goodsId: goods_id
	}, function(res) {
		plus.nativeUI.closeWaiting();
		//alert(JSON.stringify(res));
		if(res.error_code == "0000") {
			var data = res.data;
			var cate = data.dayCateList;
			var cate_list = '';
			var ok_select = '';
			var is_select = '';
			var num_rule = -1;
			for(var i = 0; i < cate.length; i++) {
				cate_list += '<div class="rule-box">' +
					'<div class="rule-eat">' + cate[i].dayName + '餐点</div>' +
					'<div class="rule-eat-time">';
				for(var j = 0; j < cate[i].cateList.length; j++) {
					//判断是否能点ok_select
					ok_select = '';
					if(cate[i].cateList[j].isForbid == 0) { //能点击
						ok_select = '';
					} else { //不能点击
						ok_select = 'rule-graybg';
					}
					var num_rule = num_rule + 1;
					var sort = (j + 1) % 3;
					if(sort == 1) {
						cate_list += '<div class="mt-rule-single mt-rule-single-active">'+
										'<div>' + cate[i].cateList[j].name + '</div>'+
										'<div>(' + cate[i].cateList[j].endTime + '截止)</div>'+
									  '</div>';
						// cate_list += '<div class="rule-range fl">' +
						// 	'<div class="rule-single fl ' + ok_select + is_select + '" goods-id="' + goods_id + '" data="' + num_rule + '" date="' + cate[i].dayName + '" ok-select="' + cate[i].cateList[j].isForbid + '" main-id="' + cate[i].cateList[j].id + '" end-time="' + cate[i].cateList[j].day + '">' + cate[i].cateList[j].name + '</div>' +
						// 	'</div>';
					} else if(sort == 2) {
						cate_list += '<div class="mt-rule-single mt-rule-single-active">'+
										'<div>' + cate[i].cateList[j].name + '</div>'+
										'<div>(' + cate[i].cateList[j].endTime + '截止)</div>'+
									  '</div>';
						// cate_list += '<div class="rule-range fl">' +
						// 	'<div class="rule-single ' + ok_select + is_select + '" goods-id="' + goods_id + '" data="' + num_rule + '" date="' + cate[i].dayName + '" ok-select="' + cate[i].cateList[j].isForbid + '" main-id="' + cate[i].cateList[j].id + '" end-time="' + cate[i].cateList[j].day + '">' + cate[i].cateList[j].name + '</div>' +
						// 	'</div>';
					} else {
						cate_list += '<div class="mt-rule-single mt-rule-single-active">'+
										'<div>' + cate[i].cateList[j].name + '</div>'+
										'<div>(' + cate[i].cateList[j].endTime + '截止)</div>'+
									  '</div>';
						// cate_list += '<div class="rule-range fl">' +
						// 	'<div class="rule-single fr ' + ok_select + is_select + '" goods-id="' + goods_id + '" data="' + num_rule + '" date="' + cate[i].dayName + '" ok-select="' + cate[i].cateList[j].isForbid + '" main-id="' + cate[i].cateList[j].id + '" end-time="' + cate[i].cateList[j].day + '">' + cate[i].cateList[j].name + '</div>' +
						// 	'</div>';
					}												
				}
				cate_list += '</div>' +
					'</div>';
			}
			mui(".rule-content")[0].innerHTML = cate_list;
			mini_cart(shop_id);
		} else {
			mui.toast(res.msg);
		}
	});
}

function update_badge(shop_id, main_id) {
	var cate_id = mui(".shop-kind-active")[0].getAttribute("cate-id");
	//展示分类列表
	signPost("/v3/food_shop_goods_cate", {
		shopId: shop_id,
		mainId: main_id
	}, function(res) {
		//alert(JSON.stringify(res));  
		if(res.error_code == "0000") {
			var data = res.data;
			var goods_kind = '';
			for(var i = 0; i < data.length; i++) {
				if(data[i].cartNum != 0) {
					if(cate_id == data[i].id) {
						goods_kind += '<li class="shop-kind-row shop-kind-active" data="' + i + '" cate-id="' + data[i].id + '">' + data[i].name + '<span class="mui-badge mui-badge-danger shop-cate-badge">' + data[i].cartNum + '</span></li>';
					} else {
						goods_kind += '<li class="shop-kind-row" data="' + i + '" cate-id="' + data[i].id + '">' + data[i].name + '<span class="mui-badge mui-badge-danger shop-cate-badge">' + data[i].cartNum + '</span></li>';
					}

				} else {
					if(cate_id == data[i].id) {
						goods_kind += '<li class="shop-kind-row shop-kind-active" data="' + i + '" cate-id="' + data[i].id + '">' + data[i].name + '</li>';
					} else {
						goods_kind += '<li class="shop-kind-row" data="' + i + '" cate-id="' + data[i].id + '">' + data[i].name + '</li>';
					}

				}

			}
			mui(".shop-pro-kind")[0].innerHTML = goods_kind;

		}
	});
}

function update_goods_badge(main_id, cate_id, shop_id, which_page) {
	//分类下的商品
	signPost("/api/v3/cate_goods", {
		main_id: main_id,
		cate_id: cate_id
	}, function(res) {
		//alert(JSON.stringify(res));
		if(res.code == 1) {
			var data = res.data;
			var goods_pro = '';
			var goods_price = '';
			var goods_badge = '';
			var show_coupon = '';
			var is_buy = '';
			var no_buy_status = '';
			goods_pro += '<div id="shop_top_maodian"></div>';
			for(var i = 0; i < data.length; i++) {
				//判断是否有会员价
				goods_price = '';
				if(data[i].is_discount == 0) {
					goods_price = '<div class="fl pro-price togo-detail" goods-id="' + data[i].goods_id + '">￥' + data[i].price + '</div>';
				} else {
					goods_price = '<div class="fl pro-price togo-detail" goods-id="' + data[i].goods_id + '" style="text-decoration:line-through;">￥' + data[i].price + '</div><div class="fl pro-vip-price">VIP:' + data[i].member_price + '</div>';
				}
				//判断该商品角标是否展示
				goods_badge = '';
				if(data[i].cart_num != 0) {
					goods_badge = '<span class="mui-badge mui-badge-danger shop-rule-badge">' + data[i].cart_num + '</span>';
				} else {
					goods_badge = '';
				}
				//判断是否能购买
				is_buy = '';
				no_buy_status = '';
				if(data[i].is_buy == 0) {
					is_buy = '';
					no_buy_status = '<div class="zhe-img" style="display:block;font-size:14px;padding-top:25px;">已截止</div>';
				} else {
					no_buy_status = '';
					is_buy = '<div class="fr pro-btn" goods-id="' + data[i].goods_id + '">选择' + goods_badge + '</div>';
				}
				//判断该商品有无券
				show_coupon = '';
				if(data[i].is_coupon == 0) {
					show_coupon = '';
				} else {
					show_coupon = '<img class="single-hascoupon" src="../images/quan.png" alt="" />';
				}
				goods_pro += '<li class="shop-pro">' +
					'<div class="pro-img togo-detail" goods-id="' + data[i].goods_id + '">' +
					'<img class="pro-pic" src="' + data[i].img + '" alt="" />' +
					show_coupon +
					no_buy_status +
					'</div>' +
					'<div class="pro-content">' +
					'<div class="pro-title togo-detail" goods-id="' + data[i].goods_id + '">' + data[i].goods_name + '</div>' +
					'<div class="pro-stock togo-detail" goods-id="' + data[i].goods_id + '">库存：' + data[i].stock + '</div>' +
					'<div class="pro-bottom">' +
					goods_price +
					is_buy +
					'</div>' +
					'</div>' +
					'</li>';
			}
			mui("#shop_pro")[0].innerHTML = goods_pro;
			//点击选择
			mui(".shop-pro").on("tap", ".pro-btn", function() {
				var goods_id = this.getAttribute("goods-id");
				//渲染数据
				goods_attr(goods_id, main_id, shop_id, which_page, cate_id);
			});
			//点击商品跳转至详情页面
			mui(".shop-pro").on("tap", ".togo-detail", function() {
				var goods_id = this.getAttribute("goods-id");
				mui.openWindow({
					url: "goods_detail.html",
					id: "goods_detail.html",
					extras: {
						goods_id: goods_id,
						shop_id: shop_id,
						main_id: main_id
					}
				})
			});
		}
	});
}

function goods_detail_badge(goods_id) {
	//商品详情
	signPost("/api/v3/one_goods", {
		goods_id: goods_id
	}, function(res) {
		//alert(JSON.stringify(res));
		if(res.code == 1) {
			var data = res.data;
			//判断选规格角标
			if(data.cart_num == 0) {
				mui(".badg-posi")[0].style.display = 'none';
			} else {
				mui(".badg-posi")[0].innerHTML = data.cart_num;
				mui(".badg-posi")[0].style.display = 'block';
			}

		}
	});
}